package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairReceiving;
import com.repair.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-20
 */
public interface RepairReceivingService extends IService<RepairReceiving> {
    int insertRepairReceiving(RepairReceiving rns);

    int updateRepairReceiving(RepairReceiving rns);

    PageUtils<RepairReceiving> queryPageRepairReceivings(int currentPage, int pageCount, String name);

    int deleteRepairReceivingById(int id);

    RepairReceiving getRepairById(int id);

    List<RepairReceiving> getRepairs();

    int updateRepairByRecordId(Integer recordId, RepairReceiving rr);

    boolean updateReceivingBatch(List<RepairReceiving> rdr);

    List<RepairReceiving> queryReceivingByRecordId(Integer recordId);

    int updateReceiving(Integer recordId, RepairReceiving rdr);
}
